# Common response

Firstoken uses JSON-encoded responses. These responses maintain the same structure across all requests as follows:

### Attributes of Response

* **status**: string\
  The status is a string result that only has three possible values. "Success", "Fail" or “error”.
* **message**: string\
  The message value represents a short description about the status received.
* **data**: {object}\
  The data variable represents the information expected from the request made. For success requests a JSON is returned. For failure requests an empty string is returned.

<details>

<summary>Example of the response structure</summary>

{"status": success, "message": " Authorization successful", "data": {} }

```json
{
    "status": success,
    "message": " Authorization successful", 
    "data": {} 
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/payments/common-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
